Get Run Step Payload
GET /runs/{run_id}/steps/{step_id}/payloadThe raw provider request and response. admin, because this is the most sensitive
content in the system and it is read only when somebody is debugging (C-9).
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
run_id | path | string (uuid) | required | — |
step_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | RunStepPayloadView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/runs/{run_id}/steps/{step_id}/payload \ -H "Authorization: Bearer $COBRE_TOKEN"Response — RunStepPayloadView
Section titled “Response — RunStepPayloadView”| Field | Type | Notes | |
|---|---|---|---|
step_id | string (uuid) | required | — |
run_id | string (uuid) | required | — |
request | object | null | required, nullable | — |
response | object | null | required, nullable | — |
expires_at | string (date-time) | required | — |